#!/usr/bin/perl -w
# $Id: bootstrap_measures.pl,v 1.8 2010/07/07 12:36:18 rnl14480 Exp $

use strict;
use lib qw(../lib/);
use BAOBAB::MeasureWrapper;
use BAOBAB::Measure;
use BAOBAB::Wrapper;
use DBI;

my $dbh = DBI->connect(
	$BAOBAB::Wrapper::dsn, $BAOBAB::Wrapper::user,
	$BAOBAB::Wrapper::password, { RaiseError => 1, AutoCommit => 0 }
) || die "Could not connect to the database : $DBI::errstr\n";
$dbh->{mysql_auto_reconnect} = 1;

my %bootstrap = (
	amfe => {
		name        => 'amfe',
		description => q(Adjusted Minimum Free Energy)
	},
	robust_folding => {
		name => 'robust_folding',
		description =>
		  q(Robustness of Folding with normalised ensemble diversity),
	},
	robust_context => {
		name        => 'robust_context',
		description => q(Robustness in varying genomic contexts)
	},
	robust_mutation => {
		name        => 'robust_mutation',
		description => q(Robustness around the 1-mutation vicinity)
	},

	#	mfei => {
	#		name        => 'mfei',
	#		description => q(Minimum Free Energy Index)
	#	}
);

foreach my $sn ( keys %bootstrap ) {
	my $o = BAOBAB::Measure->new(
		name        => $bootstrap{$sn}{name},
		description => $bootstrap{$sn}{description}
	);

	my $ow = BAOBAB::MeasureWrapper->new( object => $o, dbh => $dbh );
	$ow->write;
}
