#!/usr/bin/perl -w
# $Id: bootstrap_organism.pl,v 1.7 2010/06/17 16:24:37 rnl14480 Exp $

use strict;
use lib qw(../lib/);
use BAOBAB::OrganismWrapper;
use BAOBAB::Organism;
use BAOBAB::Wrapper;
use DBI;

my $dbh = DBI->connect(
	$BAOBAB::Wrapper::dsn, $BAOBAB::Wrapper::user,
	$BAOBAB::Wrapper::password, { RaiseError => 1, AutoCommit => 0 }
) || die "Could not connect to the database : $DBI::errstr\n";
$dbh->{mysql_auto_reconnect} = 1;


my %bootstrap = (
	planted_metazoa => {
		genus     => 'Planted',
		species   => 'metazoa',
		revision  => '1.0',
		shortname => 'planted_metazoa'
	},
	aga => {
		genus     => 'Anopheles',
		species   => 'gambiae',
		revision  => '0.0',
		shortname => 'aga'
	},
	ada => {
		genus     => 'Anopheles',
		species   => 'darlingi',
		revision  => '0.0',
		shortname => 'ada'
	},
	dmel => {
		genus     => 'Drosophila',
		species   => 'melanogaster',
		revision  => '5.0',
		shortname => 'dmel'
	},
	random_aga => {
		genus     => 'Random',
		species   => 'Anopheles gambiae',
		revision  => '1.0',
		shortname => 'random_aga'
	},
	random_dmel => {
		genus     => 'Random',
		species   => 'Drosophila melanogaster',
		revision  => '1.0',
		shortname => 'random_dmel'
	},
	random_ada => {
		genus     => 'Random',
		species   => 'Anopheles darlingi',
		revision  => '1.0',
		shortname => 'random_ada'
	},
	random_planted_metazoa => {
		genus     => 'Random',
		species   => 'Planted metazoa',
		revision  => '1.0',
		shortname => 'random_planted_metazoa'
	},
);

foreach my $sn ( keys %bootstrap ) {
	my $o = BAOBAB::Organism->new(
		genus     => $bootstrap{$sn}{genus},
		species   => $bootstrap{$sn}{species},
		revision  => $bootstrap{$sn}{revision},
		shortname => $bootstrap{$sn}{shortname}
	);

	my $ow = BAOBAB::OrganismWrapper->new( object => $o, dbh => $dbh );
	$ow->write;
}
